SoapClient::SoapConnection Class Reference

class for SOAP connections; returns an object of class SoapClient for connecting to SOAP servers More...

Inherits HttpBasedConnection.

## Public Member Functions

| constructor (string name, string desc, string url, bool monitor, *hash n_opts, hash urlh)
| creates the SoapConnection object More...
string | getType ()
| returns `"soap"`
*hash | getRuntimeOptions ()
| returns runtime options More...
hash | getOptions ()
| gets options
*hash | getDefaultOptions ()
| returns default options

## Static Public Member Functions

static SoapConnection | make (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| static constructor

## Private Member Functions

SoapClient | getImpl (bool connect=True, *hash rtopts)
| returns a SoapClient object More...

## Detailed Description

class for SOAP connections; returns an object of class SoapClient for connecting to SOAP servers

supports the following static initialization options:

- `"connect_timeout"`: connection timeout to use in milliseconds
- `"content_encoding"`: this sets the send encoding (if the `"send_encoding"` option is not set) and the requested response encoding; for possible values, see EncodingSupport
- `"http_version"`: HTTP version to use (`"1.0"` or `"1.1"`, defaults to `"1.1"`)
- `"max_redirects"`: maximum redirects to support
- `"service"`: the name of the "service" to use (if more than 1 service is defined in the WSDL then this key is mandatory)
- `"port"`: in case multiple port entries are found in the WSDL, give the one to be used here
- `"proxy"`: proxy URL to use
- `"send_encoding"`: a send data encoding option or the value `"auto"` which means to use automatic encoding; if not present defaults to no content-encoding on sent message bodies
- `"target_url"`: overrides the URL in the WSDL (mapped to `"url"` in the SoapClient::constructor() argument)
- `"timeout"`: transfer timeout to use in milliseconds
- `"wsdl"`: overrides the WSDL URL provided by the connection URL; `"wsdl"` values with a `"file://"` scheme are subject to environment variable substitution

See also
  SoapClient::constructor(hash) for more information on the above options

Note
  additionally supports the following runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging

## Member Function Documentation

## constructor()

SoapClient::SoapConnection::constructor | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | n_opts,
|  | hash | urlh
| ) |  |

creates the SoapConnection object

Parameters

  name | the name of the connection
  desc | connection description
  url | connection URL
  monitor | monitoring flag
  n_opts | connection options
  urlh | broken down URL hash (as returned by Qore::parse_url())

## getImpl()

SoapClient SoapClient::SoapConnection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

private

returns a SoapClient object

Parameters

  connect | if True, then SoapClient::connect() is called

  rtopts

  supports the following runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  a SoapClient object

## getRuntimeOptions()

*hash SoapClient::SoapConnection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging